commit:     d31cfe534c6d3cd6cf82b3d3433f7f50c2c33c18
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Apr  4 09:51:18 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Apr  4 09:51:58 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d31cfe53

games-util/ucon64: port to EAPI 7, eutils--

Signed-off-by: Sam James <sam <AT> gentoo.org>

 games-util/ucon64/files/ucon64-2.0.0-ovflfix.patch |  4 +--
 games-util/ucon64/files/ucon64-2.0.0-zlib.patch    | 16 ++++++------
 games-util/ucon64/ucon64-2.0.0.ebuild              | 30 ++++++++++++----------
 3 files changed, 27 insertions(+), 23 deletions(-)

diff --git a/games-util/ucon64/files/ucon64-2.0.0-ovflfix.patch 
b/games-util/ucon64/files/ucon64-2.0.0-ovflfix.patch
index 0a1668f2d09..22bb9a9795f 100644
--- a/games-util/ucon64/files/ucon64-2.0.0-ovflfix.patch
+++ b/games-util/ucon64/files/ucon64-2.0.0-ovflfix.patch
@@ -1,5 +1,5 @@
---- backup/lynxit.c.old        2010-11-04 09:07:18.000000000 +0100
-+++ backup/lynxit.c    2010-11-04 09:08:17.000000000 +0100
+--- a/backup/lynxit.c
++++ b/backup/lynxit.c
 @@ -561,7 +561,7 @@
        return FALSE;
      }

diff --git a/games-util/ucon64/files/ucon64-2.0.0-zlib.patch 
b/games-util/ucon64/files/ucon64-2.0.0-zlib.patch
index 7a122713d23..d7d3b21c833 100644
--- a/games-util/ucon64/files/ucon64-2.0.0-zlib.patch
+++ b/games-util/ucon64/files/ucon64-2.0.0-zlib.patch
@@ -1,5 +1,5 @@
---- misc/unzip.h.old   2011-09-23 19:53:09.708884325 +0200
-+++ misc/unzip.h       2011-09-23 19:54:00.012878355 +0200
+--- a/misc/unzip.h
++++ b/misc/unzip.h
 @@ -49,6 +49,10 @@
  #include "zlib.h"
  #endif
@@ -11,8 +11,8 @@
  #if defined(STRICTUNZIP) || defined(STRICTZIPUNZIP)
  /* like the STRICT of WIN32, we define a pointer that cannot be converted
      from (void*) without cast */
---- libdiscmage/unzip.h.old    2011-09-23 19:59:47.319837133 +0200
-+++ libdiscmage/unzip.h        2011-09-23 20:00:07.230834769 +0200
+--- a/libdiscmage/unzip.h
++++ b/libdiscmage/unzip.h
 @@ -48,6 +48,9 @@
  #ifndef _ZLIB_H
  #include "zlib.h"
@@ -23,8 +23,8 @@
  
  #if defined(STRICTUNZIP) || defined(STRICTZIPUNZIP)
  /* like the STRICT of WIN32, we define a pointer that cannot be converted
---- libdiscmage/misc_z.c.old   2012-03-19 08:39:41.975022496 +0100
-+++ libdiscmage/misc_z.c       2012-03-19 08:40:13.109803301 +0100
+--- a/libdiscmage/misc_z.c
++++ b/libdiscmage/misc_z.c
 @@ -27,6 +27,7 @@
  #include <string.h>
  #include <errno.h>
@@ -33,8 +33,8 @@
  #include <zlib.h>
  #include "misc_z.h"
  #include "misc.h"
---- misc/archive.c.old 2012-03-19 08:41:06.478999810 +0100
-+++ misc/archive.c     2012-03-19 08:41:24.134741668 +0100
+--- a/misc/archive.c
++++ b/misc/archive.c
 @@ -27,6 +27,7 @@
  #include <string.h>
  #include <errno.h>

diff --git a/games-util/ucon64/ucon64-2.0.0.ebuild 
b/games-util/ucon64/ucon64-2.0.0.ebuild
index 694c0f57261..64f8177f6f3 100644
--- a/games-util/ucon64/ucon64-2.0.0.ebuild
+++ b/games-util/ucon64/ucon64-2.0.0.ebuild
@@ -1,26 +1,25 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
-inherit eutils
+EAPI=7
 
 DESCRIPTION="The backup tool and wonderful emulator's Swiss Army knife program"
 HOMEPAGE="http://ucon64.sourceforge.net/";
 SRC_URI="mirror://sourceforge/ucon64/${P}-src.tar.gz"
+S="${WORKDIR}"/${P}-src/src
 
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE=""
 
-RDEPEND=""
-DEPEND=""
-
-S=${WORKDIR}/${P}-src/src
+PATCHES=(
+       "${FILESDIR}"/${P}-ovflfix.patch
+       "${FILESDIR}"/${P}-zlib.patch
+)
 
 src_prepare() {
-       epatch "${FILESDIR}"/${P}-ovflfix.patch \
-               "${FILESDIR}"/${P}-zlib.patch
+       default
+
        sed -i \
                -e "/^CFLAGS/s/-O3/${CFLAGS}/" \
                -e "/^LDFLAGS/s/-s$/${LDFLAGS}/" \
@@ -30,7 +29,7 @@ src_prepare() {
 src_configure() {
        local myconf
 
-       if [[ ! -e /usr/include/sys/io.h ]] ; then
+       if [[ ! -e "${ESYSROOT}"/usr/include/sys/io.h ]] ; then
                ewarn "Disabling support for parallel port"
                myconf="${myconf} --disable-parallel"
        fi
@@ -41,8 +40,13 @@ src_configure() {
 src_install() {
        dobin ucon64
        dolib.so libdiscmage/discmage.so
-       cd ..
-       dohtml -x src -r -A png,jpg *
+
+       cd .. || die
+
+       docinto html
+       dodoc *.html
+       docinto html/images
+       dodoc images/*
 }
 
 pkg_postinst() {

Reply via email to